package com.ssj.service.conch.opentest;

import com.ssj.bean.sys.opentest.OpenTestQuestion;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.framework.core.util.ResponseEntity;
import com.ssj.service.conch.opentest.request.*;

/**
 * @author yanghuan
 * @title: RecordQuestionService
 * @projectName ssj
 * @description: TODO
 * @date 2020/5/15 10:04
 */
public interface RecordQuestionService extends BaseService<OpenTestQuestion, String> {


    ResponseEntity addOrEditQuestion(QuestionReuqest reuqest);

    /**
     * 录题登录
     *
     * @param req 账号信息
     */
    ResponseEntity login(LoginReq req);

    /**
     * 删除题目
     *
     * @param req 入参
     */
    ResponseEntity deleteQuestion(DeleteReq req);

    /**
     * 查询题目
     */
    ResponseEntity findQuestionList(QuestionUnitRequest request);

    /**
     * 获取筛选条件
     *
     * @return
     */
    ResponseEntity getConditionInfo(boolean isAll, int platform);

    /**
     * 获取知识点
     *
     * @param req
     * @return
     */
    ResponseEntity getKnowledge(GetKnowledgeReq req);

    /**
     * 发布试卷
     * @param req
     * @return
     */
    ResponseEntity publishQuestion(PublishReq req);

    /**
     * 更新知识点
     */
    void updateHowId();


}
